org.wildfly.swarm.config.elytron

## Class CustomPermissionMapper<T extends CustomPermissionMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.CustomPermissionMapper<T>

-     public class CustomPermissionMapper<T extends CustomPermissionMapper<T>>
      extends Object

  Definition of a custom permission mapper.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomPermissionMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `className()` Fully qualified class name of the permission mapper
    `T` | `className(String value)` Fully qualified class name of the permission mapper
    `Map` | `configuration()` The optional kay/value configuration for the permission mapper
    `T` | `configuration(Map value)` The optional kay/value configuration for the permission mapper
    `T` | `configuration(String key, Object value)` The optional kay/value configuration for the permission mapper
    `String` | `getKey()`
    `String` | `module()` Name of the module to use to load the permission mapper
    `T` | `module(String value)` Name of the module to use to load the permission mapper
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomPermissionMapper

          public CustomPermissionMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### configuration

          public Map configuration()

      The optional kay/value configuration for the permission mapper

    - #### configuration

          public T configuration(Map value)

      The optional kay/value configuration for the permission mapper

    - #### configuration

          public T configuration(String key,
                                 Object value)

      The optional kay/value configuration for the permission mapper

    - #### className

          public String className()

      Fully qualified class name of the permission mapper

    - #### className

          public T className(String value)

      Fully qualified class name of the permission mapper

    - #### module

          public String module()

      Name of the module to use to load the permission mapper

    - #### module

          public T module(String value)

      Name of the module to use to load the permission mapper

Copyright © 2018 JBoss by Red Hat. All rights reserved.